
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <message.h>
#include <ant.h>
#include <log.h>

int ant::index()const
{
	return m_algo+(m_num_dims<<1);
}

ant_list*ant_list::instance()
{
	static ant_list _impl;
	_impl.load_from_db();
	return &_impl;
}

const algo_config&ant::config()const
{
	return g_config[m_algo+(m_num_dims<<1)];
}


loc_message::loc_message()
	:m_ant(nullptr)
	 ,m_num_ticks(0)
{
}
int loc_message::tool_index()const
{
	return m_ant->index();
}

algo_config ant::g_config[]=
{
	{ "tof-1",  1, 2, 100, 1000 },
	{ "tdoa-1", 2, 2, 100, 1000 },
	{ "tof-2",  2, 3, 100, 1000 },
	{ "tdoa-2", 3, 3, 100, 1000 },
	{ "tof-3",  3, 4, 100, 1000 },
	{ "tdoa-3", 4, 4, 100, 1000 }
};

